Bug 169782 - mkinitrd fails for some modprobe.conf files
mkinitrd fails for some modprobe.conf files
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 11:50 EDT by Sammy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Offending modprobe.conf file (1.28 KB, text/plain)
2005-10-03 11:53 EDT, Sammy
no flags Details

  None (edit)
Description Sammy 2005-10-03 11:50:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.2 (like Gecko)

Description of problem:
I will attach my modprobe.conf file where mkinitrd fails with the following messages: 
======================================================== 
mkinitrd -v initrd-2.6.13-1.1529_FC5smp.img 2.6.13-1.1529_FC5smp 
Creating initramfs 
Looking for deps of module sd_mod: scsi_mod 
Looking for deps of module scsi_mod 
Looking for deps of module mptbase 
Looking for deps of module mptscsih: mptbase scsi_mod 
Looking for deps of module mptspi: mptscsih mptbase scsi_mod 
Looking for deps of module qla1280: scsi_mod 
Looking for deps of module ide-disk 
Looking for driver for device sda5 
Looking for deps of module modprobe 
No module modprobe found for kernel 2.6.13-1.1529_FC5smp, aborting. 
=================================================== 
 
I am attaching the modprobe.conf. This works with 5.0.0 AND if I remove all the 
install statements above the ALSA section, than 5.0.3 works too! 
FYI 
 

Version-Release number of selected component (if applicable):
mkinitrd-5.0.3

How reproducible:
Always

Steps to Reproduce:
1. Have a modprobe.conf file contaning install statements for modules built into initrd 
2. Try to build initrd with mkinitrd 5.0.3 
3. 
   

Additional info:
Comment 1 Sammy 2005-10-03 11:53:11 EDT
Created attachment 119554 [details]
Offending modprobe.conf file
Comment 2 Peter Jones 2006-02-03 19:20:25 EST
What does "modprobe --show-depends scsi_hostadapter" show?
Comment 3 John Thacker 2006-05-05 16:50:20 EDT
Closing due to lack of response from reporter.

Note You need to log in before you can comment on or make changes to this bug.